bagder: curl-www/ca mozilla-ca.sh,1.1,1.2

[email protected]
Newsgroups gmane.comp.web.curl.www.cvs
Message-ID <[email protected]>
Update of /cvsroot/curl/curl-www/ca
In directory labb:/tmp/cvs-serv13690

Modified Files:
	mozilla-ca.sh 
Log Message:
The nightly source snapshot stopped getting updated a long time ago and as
a result we've not updated to the most recent CA bundle in well over a year.
This modified script is much better in that it fetches just the CA bundle file
from the LXR'ed site and thus wastes less bandwidth and runs much faster.


Index: mozilla-ca.sh
===================================================================
RCS file: /cvsroot/curl/curl-www/ca/mozilla-ca.sh,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -d -r1.1 -r1.2
--- mozilla-ca.sh	19 Oct 2006 13:50:05 -0000	1.1
+++ mozilla-ca.sh	12 Nov 2007 21:00:07 -0000	1.2
@@ -6,11 +6,15 @@
 
 cd $HOME/curl_html/ca
 
-curl "http://ftp.mozilla.org/pub/mozilla.org/mozilla/nightly/latest/mozilla-source.tar.bz2" | tar -xjf - mozilla/security/nss/lib/ckfw/builtins/certdata.txt
+curl -s "http://lxr.mozilla.org/seamonkey/source/security/nss/lib/ckfw/builtins/certdata.txt?raw=1" -o certdata.txt
+
+if $? -gt 0; then
+  exit curl failed
+fi
 
 FILE=cacert.pem-foo
 
-./parse-certs.sh mozilla/security/nss/lib/ckfw/builtins/certdata.txt $FILE > /dev/null
+./parse-certs.sh certdata.txt $FILE > /dev/null
 
 if [ -s $FILE ]; then
   mv $FILE cacert.pem
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.